Description: replace nosetests by pytest
 nosetests 1 is not maintained anymore and going to be removed from Debian.
 See https://lists.debian.org/debian-python/2021/10/msg00060.html
Author: Étienne Mollier <emollier@debian.org>
Forwarded: not-needed
Last-Update: 2021-11-28
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- seqmagick.orig/.travis.yml
+++ seqmagick/.travis.yml
@@ -12,12 +12,12 @@
 # BioPython doesn't always play well with pip install.
 install:
   - "if [[ $TRAVIS_PYTHON_VERSION != 'pypy' ]]; then pip install -q numpy; fi"
-  - "pip install -q biopython nose pygtrie"
+  - "pip install -q biopython pytest pygtrie"
   - "pip install ."
 
 script:
   - seqmagick --version
-  - nosetests
+  - pytest-3
 
 notifications:
   email:
--- seqmagick.orig/DEVELOPING.rst
+++ seqmagick/DEVELOPING.rst
@@ -50,7 +50,7 @@
 
 Run tests, and make sure docs build without errors::
 
-  nosetests
+  pytest-3
   (cd docs && make html)
 
 Push one last time to master to trigger tests on travis::
--- seqmagick.orig/requirements.txt
+++ seqmagick/requirements.txt
@@ -4,6 +4,6 @@
 # for development
 wheel
 sphinx
-nose
+pytest
 twine
 ghp-import
--- seqmagick.orig/setup.py
+++ seqmagick/setup.py
@@ -32,9 +32,9 @@
           'seqmagick': ['data/*'],
           'seqmagick.test.integration': ['data/*']
       },
-      setup_requires=['nose>=1.0'],
+      setup_requires=['pytest>=6.0'],
       python_requires='>=3.5',
-      test_suite='nose.collector',
+      test_suite='pytest.collect',
       install_requires=['biopython>=1.78', 'pygtrie>=2.1'],
       classifiers=[
           'License :: OSI Approved :: GNU General Public License (GPL)',
--- seqmagick.orig/tox.ini
+++ seqmagick/tox.ini
@@ -3,13 +3,11 @@
 [testenv]
 deps =
     numpy
-    nose
-    rednose
+    pytest
     biopython
-commands = nosetests --rednose []
+commands = pytest-3 []
 
 [testenv:pypy]
 deps =
-    nose
-    rednose
+    pytest
     biopython
